import Taro from "@tarojs/taro";
import { formatDate } from "./time";
import { addLog } from "../service/index";
import { isDebounce } from "./debounce";
// 统计埋点
export const handleLog = (data) => {
  if (!isDebounce(500)) return; // 如果在500ms内重复触发，直接返回
  const dayid = formatDate(new Date(), "YYYY-MM-DD");
  const userId = Taro.getStorageSync("loginInfo")?.id || 0;
  const ext = data.shareUserId ? JSON.stringify({ share_users_id: data.shareUserId }) : '';
  const event_type = data.event_type;
  const event_type_title = data.event_type_title;
  const goods_id = data.goods_id || 0;
  const params = {
    dayid,
    users_id:userId,
    goods_id,
    event_type,
    event_type_title,
    ext,
  };
  addLog(params);
};


