import { AtModal, AtModalContent } from "taro-ui";
import { View, Image, Text } from "@tarojs/components";
import { handleLog } from "../../common/track";
import "./index.less";
import Taro from "@tarojs/taro";
export default function Modal(props) {
  const { productPromotion, isOpened, title, linkText, id, shareUserId,isSeckill } =
    props;
  const handleCopyLink = () => {
    Taro.setClipboardData({
      data: productPromotion.short_tpwd,
    }).then(() => {
      Taro.showToast({
        title: "口令已复制",
        icon: "success",
      });
      if (isSeckill) {
        handleLog({
          shareUserId:shareUserId,
          event_type: "buy_product_link",
          event_type_title: "点击购买",
          goods_id: Number(id),
        });
      }
    });
  };
  return (
    <AtModal isOpened={isOpened} closeOnClickOverlay={true}>
      <AtModalContent>
        <View className="container">
          <View className="title">{title}</View>
          <View className="content">
            <View className="link-text">{linkText}</View>
            <View className="steps">
              <View className="step-item">
                <View className="step-title">
                  <Text className="number">1</Text>
                  <Text className="desc">点击复制口令</Text>
                </View>
                <View className="step-box">
                  <View className="step-One">复制口令</View>
                  <Image className="step-img-one" src='https://yushi.tos-cn-beijing.volces.com/productDetail/selectStep.png'/>
                </View>
              </View>
              <View className="step-item">
                <View className="step-title">
                  <Text className="number">2</Text>
                  <Text className="desc">打开闲鱼APP</Text>
                </View>
                <View className="step-box">
                  <Image className="step-img-t" src='https://yushi.tos-cn-beijing.volces.com/productDetail/xianyu.png' />
                  <Image className="step-img-two" src='https://yushi.tos-cn-beijing.volces.com/productDetail/selectStep.png' />
                </View>
              </View>
              <View className="step-item">
                <View className="step-title">
                  <Text className="number">3</Text>
                  <Text className="desc">自动识别口令</Text>
                </View>
                <View className="step-box">
                  <Image
                    mode="heightFix"
                    className="step-img-three"
                    src='https://yushi.tos-cn-beijing.volces.com/productDetail/stepThree.png'
                  />
                </View>
              </View>
            </View>
            {/* 复制口令 */}
            <View className="copy-link" onClick={handleCopyLink}>
              复制口令
            </View>
          </View>
        </View>
      </AtModalContent>
    </AtModal>
  );
}
