import { Component } from "react";
import { View, Image, Text, Button } from "@tarojs/components";
import { getCalculatorPartData } from "../../../service/activity";
import "./index.less";
import Taro from "@tarojs/taro";
import more from "../../../images/calculator/more.png";
import toShare from "../../../images/calculator/toShare.png";
import wish from "../../../images/calculator/wish.png";
export default class Index extends Component {
  state = {
    calculatorPartData: {},// 捡漏计算器部分数据
  };
  componentDidMount() {
    this.getCalculatorPartData();// 获取捡漏计算器部分数据
  }
  // 去TA的捡漏心愿
  toWishList = (id) => {
    Taro.navigateTo({
      url: `/pages/calculatorSub/calculatorWishList/index?id=${id}`,
    });
  };
  // 去捡漏清单
  calculatorInventory = () => {
    Taro.navigateTo({
      url: `/pages/calculatorSub/calculatorInventory/index`,
    });
  };
  // 获取捡漏计算器部分数据
  async getCalculatorPartData() {
    const res = await getCalculatorPartData();
    this.setState({
      calculatorPartData: res.jianlou_list,
    });
  };
  // 配置分享内容
  onShareAppMessage(res) {
    return {
      title: "捡漏计算器",
      path: `/pages/calculatorSub/calculatorWish/index?isShare=true`,
      imageUrl: 'https://yushi.tos-cn-beijing.volces.com/calculator/shareImg.png',
    }
  }
  render() {
    const { calculatorPartData } = this.state;
    return (
      <View className="index">
        {/* 顶部 */}
        <View className="top-box">
          <Image className="top-img" src='https://yushi.tos-cn-beijing.volces.com/calculator/topImg.png' />
          <View className="button-box">
            <Image className="button-icon" src='https://yushi.tos-cn-beijing.volces.com/calculator/button.png' />
            <View className="button-text-box">
              <Button openType="share">
                <Text className="button-text">去分享</Text>
                <Image className="to-share-icon" src={toShare} />
              </Button>
            </View>
          </View>
        </View>
        {/* 底部 */}
        <View className="bottom-box">
          <Image mode="heightFix" className="bg-img" src='https://yushi.tos-cn-beijing.volces.com/calculator/bottomImg.png' />
          <View className="content-box">
            <View className="content-title">
              <Image className="wish-icon" src={wish} />
              <Text className="title-text">计算结果</Text>
            </View>
            {/* 列表 */}
            <View className="list-box">
              {calculatorPartData.length > 0 && calculatorPartData.map((item, index) => (
                <View key={index} className="list-item">
                  <View className="list-item-left">
                    <Image className="avatar" src={item.icon} />
                  <View className="list-item-left-text">
                    <Text className="name">{item.name}</Text>
                    <Text className="wishNum">{item.activity_jianlou_cnt}次捡漏许愿</Text>
                  </View>
                </View>
                <View onClick={() => this.toWishList(item.id)} className="list-item-right">
                  查看
                </View>
                </View>
              ))}
            </View>
          </View>
          {/* 查看全部 */}
          <View onClick={this.calculatorInventory} className="all-box">
            <Text className="all-text">查看全部</Text>
            <Image className="all-icon" src={more} />
          </View>
        </View>
      </View>
    );
  }
}
