import { Component } from "react";
import Taro from "@tarojs/taro";
import { View } from "@tarojs/components";
import "./index.less";
import { getCalculatorDetail } from "../../../service/activity";
export default class Index extends Component {
  state = {
    wishList: [],
  };
  componentDidMount() {
    const { id } = Taro.getCurrentInstance().router.params;
    this.getCalculatorDetail(id); // 获取心愿列表
  }
  // 获取心愿列表
  async getCalculatorDetail(id) {
    const res = await getCalculatorDetail({
      user_id: id,
    });
    this.setState({
      wishList: res,
    });
  }
  render() {
    return (
      <View className="index">
        {/* 心愿列表 */}
        <View className="wish-list">
          {this.state.wishList.length > 0 &&
            this.state.wishList.map((item, index) => (
              <View key={index} className="item">
                <View className="left">{index + 1}</View>
                <View className="right">
                  <View className="left-text">
                    <View className="title">{item.jianlou_title}</View>
                    <View className="price">
                      预算&emsp;{item.reserve_price}元
                    </View>
                  </View>
                  <View className="right-text">{item.time}</View>
                </View>
              </View>
            ))}
        </View>
      </View>
    );
  }
}
